]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
fix compilation issues - patches to GUI, PARAVIS, PARAVISADDONS and CONFIGURATION...
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Fri, 26 Feb 2021 19:05:01 +0000 (20:05 +0100)
committerqc784398 <quentin.cozette@cea.fr>
Tue, 23 Mar 2021 10:53:16 +0000 (11:53 +0100)
applications/SALOME-master.pyconf
products/PyQt.pyconf
products/compil_scripts/ParaView-5.9.0.sh
products/compil_scripts/PyQt-5.12.sh [new file with mode: 0755]
products/compil_scripts/PyQt-5.15.sh [new file with mode: 0755]
products/compil_scripts/sip-5.5.0.sh [new file with mode: 0755]
products/qt.pyconf
products/sip.pyconf

index d34ee50a83464e68811f4bec5c649534aff50f96..06577b79efe57a16b479f2885c7cd82b63cf1eac 100644 (file)
@@ -81,19 +81,23 @@ APPLICATION :
         planegcs : '0.18-3cb6890'
         Pygments : '2.0.2'
         pyparsing : '2.0.3'
-        PyQt : '5.11.3'
+        PyQt : '5.15.3'
+#        PyQt : '5.12.3'
 #        PyQtChart : '5.9'
         pyreadline : '2.0'
         Python : '3.6.5'
         pytz : '2015.7'
         qt : '5.12.10'
+#        qt : '5.15.2'
         qwt : '6.1.2'
         requests : '2.19.1'
         rkCommon : '1.5.1'
         scipy : '0.19.1'
         scotch : '6.0.4'
         setuptools : '38.4.0'
-        sip : '4.19.12'
+        #sip : '4.19.24'
+        sip : '5.5.0'
+  #      PyQt5_sip : '12.8.1'
         six : '1.10.0'
         snowballstemmer : '1.2.1'
         Sphinx : '1.7.6'
@@ -133,7 +137,7 @@ APPLICATION :
         'JOBMANAGER'
         'YACS'
         'YACSGEN'
-        'SOLVERLAB'
+        #'SOLVERLAB'
         'DOCUMENTATION'
         'SAMPLES'
         'COMPONENT'
index 81c0f1366d0ac3ccdc20c4dd654bc44968f914cc..bf1179f76cced6d3c491eefbbb135a29044d84e3 100644 (file)
@@ -27,6 +27,18 @@ default :
     }
 }
 
+version_5_15_3 :
+{
+    compil_script :  "PyQt-5.15" + $VARS.scriptExtension
+}
+
+version_5_12_3 :
+{
+    name : "PyQt"
+    compil_script :  "PyQt-5.12" + $VARS.scriptExtension
+}
+
+
 version_5_11_3 :
 {
     compil_script :  "PyQt-5.11" + $VARS.scriptExtension
index 452cbf0c5af1e0836751c590703f3f76bf0e6d22..94cfdcceef858994debb526adeb360cddcdab3f9 100755 (executable)
@@ -29,8 +29,8 @@ CMAKE_OPTIONS="${CMAKE_OPTIONS} -DPARAVIEW_INSTALL_DEVELOPMENT_FILES:BOOL=ON"
 
 ### OpenGL settings
 CMAKE_OPTIONS="${CMAKE_OPTIONS} -DOpenGL_GL_PREFERENCE:STRING=LEGACY"
-CMAKE_OPTIONS="${CMAKE_OPTIONS} -DPARAVIEW_USE_CATALYST:BOOL=OFF"
-CMAKE_OPTIONS="${CMAKE_OPTIONS} -DCATALYST_BUILD_STUB_IMPLEMENTATION:BOOL=OFF"
+CMAKE_OPTIONS="${CMAKE_OPTIONS} -DPARAVIEW_USE_CATALYST:BOOL=ON"
+CMAKE_OPTIONS="${CMAKE_OPTIONS} -DCATALYST_BUILD_STUB_IMPLEMENTATION:BOOL=ON"
 ### spns #20550 - Headless mode
 if [ -n "$PARAVIEW_HEADLESS_MODE" ]
 then
diff --git a/products/compil_scripts/PyQt-5.12.sh b/products/compil_scripts/PyQt-5.12.sh
new file mode 100755 (executable)
index 0000000..9bb699b
--- /dev/null
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "PyQt" $VERSION
+echo "##########################################################################"
+
+
+
+python_name=python$PYTHON_VERSION
+
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#CURRENT_DIR=`pwd`
+cd $SOURCE_DIR
+if [ $? -ne 0 ]
+then
+    echo "ERROR on $SOURCE_DIR access"
+    exit 1
+fi
+
+
+echo
+echo "*** configure.py --confirm-license --no-designer-plugin --verbose --bindir=${PRODUCT_INSTALL}/bin --destdir=${PRODUCT_INSTALL}/lib/$python_name/site-packages --sipdir=${SIP_ROOT_DIR} --disable=QtNetwork --disable=QtWebSockets"
+$PYTHONBIN ./configure.py --confirm-license --no-designer-plugin --verbose \
+    --bindir=${PRODUCT_INSTALL}/bin \
+    --destdir=${PRODUCT_INSTALL}/lib/$python_name/site-packages \
+    --sipdir=${SIP_ROOT_DIR}/sip \
+    --disable=QtNetwork --disable=QtWebSockets 2>&1
+
+if [ $? -ne 0 ]
+then
+    echo "ERROR on configure"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 1
+#    cd $CURRENT_DIR
+    exit 2
+fi
+
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 2
+#    cd $CURRENT_DIR
+    exit 3
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 3
+#    cd $CURRENT_DIR
+    exit 4
+fi
+
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               Ajout du make clean
+echo
+echo "*** make clean"
+make clean
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make clean"
+#    cd $CURRENT_DIR
+    exit 5
+fi
+
+
+echo
+echo "########## END"
+
+exit 0
+
diff --git a/products/compil_scripts/PyQt-5.15.sh b/products/compil_scripts/PyQt-5.15.sh
new file mode 100755 (executable)
index 0000000..5627454
--- /dev/null
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "PyQt" $VERSION
+echo "##########################################################################"
+
+
+
+python_name=python$PYTHON_VERSION
+
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#CURRENT_DIR=`pwd`
+cd $SOURCE_DIR
+if [ $? -ne 0 ]
+then
+    echo "ERROR on $SOURCE_DIR access"
+    exit 1
+fi
+
+
+echo
+echo "*** configure.py --confirm-license --no-designer-plugin --verbose --bindir=${PRODUCT_INSTALL}/bin --destdir=${PRODUCT_INSTALL}/lib/$python_name/site-packages --sipdir=${SIP_ROOT_DIR} --disable=QtNetwork --disable=QtWebSockets"
+$PYTHONBIN ./configure.py --confirm-license --no-designer-plugin --verbose \
+    --bindir=${PRODUCT_INSTALL}/bin \
+    --destdir=${PRODUCT_INSTALL}/lib/$python_name/site-packages \
+    --sipdir=${SIP_ROOT_DIR} \
+    --disable=QtNetwork --disable=QtWebSockets 2>&1
+#    --disable=QtNetwork --disable=QtWebSockets --disable=QtWebKit  --disable=QtWebKitWidgets --disable=QAxContainer --disable=QtMacExtras --disable=QtWinExtras --disable=QtX11Extras --disable=Enginio 2>&1
+
+if [ $? -ne 0 ]
+then
+    echo "ERROR on configure"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 1
+#    cd $CURRENT_DIR
+    exit 2
+fi
+
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 2
+#    cd $CURRENT_DIR
+    exit 3
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               On fait tout dans les sources
+#    exit 3
+#    cd $CURRENT_DIR
+    exit 4
+fi
+
+# OP 01/08/2017 Artifact 8859 : test compilation PyQt 5.9
+#                               Ajout du make clean
+echo
+echo "*** make clean"
+make clean
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make clean"
+#    cd $CURRENT_DIR
+    exit 5
+fi
+
+
+echo
+echo "########## END"
+
+exit 0
+
diff --git a/products/compil_scripts/sip-5.5.0.sh b/products/compil_scripts/sip-5.5.0.sh
new file mode 100755 (executable)
index 0000000..6a0d878
--- /dev/null
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo SIP + PyQt5_sip $VERSION
+echo "##########################################################################"
+
+
+echo  "*** build in SOURCE directory"
+cd $SOURCE_DIR/sip-5.5.0
+
+# we don't install in python directory -> modify environment as described in INSTALL file
+mkdir -p $PRODUCT_INSTALL/lib/python${PYTHON_VERSION:0:3}/site-packages
+export PATH=$(pwd)/bin:$PATH
+export PYTHONPATH=$(pwd):$PYTHONPATH
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION:0:3}/site-packages:$PYTHONPATH
+
+echo
+echo "*** build with $PYTHONBIN"
+$PYTHONBIN setup.py build
+if [ $? -ne 0 ]
+then
+    echo "ERROR on build"
+    exit 2
+fi
+
+echo
+echo "*** install with $PYTHONBIN"
+$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]
+then
+    echo "ERROR on install"
+    exit 3
+fi
+
+cd $SOURCE_DIR/PyQt5_sip-12.8.1
+
+echo
+echo "*** build with $PYTHONBIN"
+$PYTHONBIN setup.py build
+if [ $? -ne 0 ]
+then
+    echo "ERROR on build"
+    exit 2
+fi
+
+echo
+echo "*** install with $PYTHONBIN"
+$PYTHONBIN setup.py install --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]
+then
+    echo "ERROR on install"
+    exit 3
+fi
+
+mkdir $PRODUCT_INSTALL/include
+cp *.h $PRODUCT_INSTALL/include
+
+cd $PRODUCT_INSTALL/bin
+ln -sf sip5 sip
+
+echo
+echo "########## END"
index 8f5ad45b07a78fd946379ae51b1296044dd01733..2ec66763f4a4b0735885b165289ead110c9ff885 100644 (file)
@@ -32,6 +32,12 @@ default_win:
    check_install : []
 }
 
+version_5_15_2 :
+{
+  compil_script : "qt-5.15.2.sh"
+  depend : ["freetype", 'llvm']
+}
+
 version_5_12_10 :
 {
   compil_script : "qt-5.12.10.sh"
index 278742330c045693b32bd5a7db86ef1811c4255d..3a32bd0d8048aad0b99b639a0cf67e1d39eaa4e5 100644 (file)
@@ -27,9 +27,12 @@ default :
 
 version_5_5_0 :
 {
-    properties:
-    {
-      incremental : "yes"
-      pip : "yes"
-    }
-}
\ No newline at end of file
+    compil_script :  'sip-5.5.0.sh'
+    archive_info : {archive_name : "sip-5.5.0-PyQt5_sip-12.8.1.tar.gz"}
+}
+
+version_4_19_24 :
+{
+    compil_script :  'sip.sh'
+#    archive_info : {archive_name : "sip-4.19.24_PyQt5-12.8.1.tar.gz"}
+}